SQL syntax error upon installation

When installed the ultimate facebook plugin causes the following error:

You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 9 on line: 1473

And it keeps on returning when I install new plugins. Wordpress is updated to its latest version on this site and it is on the same server as my other ultimate facebook plugin install, which does not give me that error. (Though that was an installation from scratch to 3.4.1)